
-- Get the leader of army X
function GetArmyLeader(army)
	if army == nil then army = GetFocusArmy() end
	return TeamData.armies[army].Leader
end

-- Find out if two armies are allied
function IsAllied(army1,army2)
	return TeamData.armies[army1].Leader == TeamData.armies[army2].Leader
end

-- Set focus to another army
function SwitchArmy(toArmy)
	local fromArmy = GetFocusArmy()
	LOG('COOP: Army '..fromArmy..' now joining army '..toArmy)
	SetFocusArmy(toArmy)
	WaitSeconds(1.0)
	local avatars = GetArmyAvatars()
	print("zooming...")
	if avatars then
		UISelectAndZoomTo( avatars[1], 0.0 )
	end
end

-- Set focus to team leader
function SwitchArmyToLeader()
	local leader = GetArmyLeader(GetFocusArmy())
	SwitchArmy(leader)
end