UserTeams = coopimport('code/user/teams.lua')

oldOnSync = OnSync
function OnSync()

	-- Copy team data from sim into user-side global
	if Sync.TeamData then
		LOG("COOP: Updated teams: "..repr(Sync.TeamData))
		TeamData = Sync.TeamData
		
		--Change teams if needed
		local focusArmy = GetFocusArmy()
		local leader = UserTeams.GetArmyLeader(focusArmy)
		if leader and leader ~= focusArmy then
			ForkThread(UserTeams.SwitchArmyToLeader)
		end
	end
	
	-- Bypass cheats notification when allied units are moved
	-- TODO: Find a better way to avoid cheat notifications
	if Sync.Cheaters then
		-- COOP: Empty Cheaters so the hooked Sync.Cheaters doesn't run as well
		Sync.Cheaters = nil
	end

	-- Run normal sync operations
	oldOnSync()
end
