teams = coopimport('code/teams.lua')

-- COOP: Override standard IssueX commands to prevent AI from hogging control
coopscript('code/sim/AIOrders.lua')

-- Override ChangeState so we can catch some events. We cant just edit the states
-- because unit scripts can override them and we would have to hook all custom units

oldChangeState = ChangeState
function ChangeState(unit, state)
	oldChangeState(unit, state)
--~ 	if unit.IsUnitState then
--~ 		local name = ''
--~ 		local busyStates = {'Patrolling','Reclaiming','Building','Upgrading','Repairing','Moving','Idle'}
--~ 		for _,state in busyStates do
--~ 			if unit:IsUnitState(state) then
--~ 				name = state
--~ 				break
--~ 			end
--~ 		end
--~ 		unit:SetCustomName(name)
--~ 	end
end


function OkayToMessWithArmy( armyIndex )
	LOG('COOP: Sim messing with '..armyIndex)
	return true
end

oldBeginSession = BeginSession
function BeginSession()
	
	LOG('Start Begin Session')
	ScenarioInfo.Options.CheatsEnabled = 'true'

	-- COOP: sort armies into teams and set team leaders
	teams.InitTeams()
	
	oldBeginSession()
	
	LOG('End Begin Session')

	--LOG(repr(ArmyBrains[1]))

end